- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
ConArcIt< GR > Class Template Reference
Basic Graph Utilities

## Detailed Description

### template<typename GR>
class lemon::ConArcIt< GR >

Iterator for iterating on parallel arcs connecting the same nodes. It is a higher level interface for the findArc() function. You can use it the following way:

* for (ConArcIt<Graph> it(g, src, trg); it != INVALID; ++it) {
* ...
* }
*

See Also
  findArc()
  ArcLookUp, AllArcLookUp, DynArcLookUp

`#include <lemon/core.h>`

Inherits Arc.

## Public Member Functions
| ConArcIt (const GR &g, Node u, Node v)
| Constructor. More...
| ConArcIt (const GR &g, Arc a)
| Constructor. More...
ConArcIt & | operator++ ()
| Increment operator. More...

## Constructor & Destructor Documentation

ConArcIt | ( | const GR & | g,
|  | Node | u,
|  | Node | v
| ) |  |
| inline

Construct a new ConArcIt iterating on the arcs that connects nodes `u` and `v`.

ConArcIt | ( | const GR & | g,
|  | Arc | a
| ) |  |
| inline

Construct a new ConArcIt that continues the iterating from arc `a`.

## Member Function Documentation

ConArcIt& operator++ | ( |  | ) |
| inline

It increments the iterator and gives back the next arc.